summaryrefslogtreecommitdiffstats
path: root/dvm/3630
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2011-12-26 14:00:55 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2011-12-26 14:01:22 +0530
commita1218232c3647611b52dda74f58a60c023ed1e84 (patch)
treeeffe2223319d48d5da270ad760ca2adb1e49c6d9 /dvm/3630
parent25bf46a93923cbdb6b3eb2b3971784397c816a32 (diff)
3630: check if add-brick works for a distribute volume
Change-Id: I1946a2ae77b277147518988ceb1001ff8bf5dd4d BUG: 3630 Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
Diffstat (limited to 'dvm/3630')
-rwxr-xr-xdvm/3630/testcase36
1 files changed, 36 insertions, 0 deletions
diff --git a/dvm/3630/testcase b/dvm/3630/testcase
new file mode 100755
index 0000000..978dec8
--- /dev/null
+++ b/dvm/3630/testcase
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function add_brick ()
+{
+ $GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 1;
+ fi
+
+ $GLUSTERFSDIR/gluster volume add-brick $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export3 2>/dev/null 1>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 1;
+ else
+ return 0;
+ fi
+}
+
+function main ()
+{
+ local ret;
+
+ add_brick;
+
+ ret=$?;
+
+ exit $ret;
+}
+
+_init && main "$@"